Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 14-07-2008 17:57:18

mecanotox
Membre
Distrib. : Ubuntu 12.10 Quantal
Noyau : 3.5.0-21-generic
(G)UI : XFCE 4.10 + Thunar 1.6
Inscription : 04-06-2008

Problème Kernel Debian Lenny 2.6.25-2-686

Salut @ tous. Il y a un problème avec le dernier kernel de debian lenny (2.6.25-2-686) en effet les drivers proprios ne sont plus reconnus (Incompatiibles avec ce kernel) donc impossible de démarré X11 avec ces driver. D'un autre côté je me pose de plus en plus la question si les drivers libre de nvidia peuvent gérer la 3D (Vu que les jeux sur linux c pas encore mon objectif.) et si on peus faire fonctionner Compiz-Fusion avec ces driver. Avez vous une idée ? Comment s'y prendre ? (Pk avec AIGLX et tout le toutime je m'en sort pas.)

par contre j'ai une grosse question de curiosité:

Avec la MAJ je peu booter (Sur l'écran de démmarrage Grub) le kernel 2.6.24-1-686 ou le 2.6.25-2-686.
Est-ce normale ou j'ai fais une couille ?

Hors ligne

#2 14-07-2008 18:13:12

Mighty
Membre
Distrib. : Sid
Noyau : 2.6.38 686 Bigmem
(G)UI : Gnome
Inscription : 08-07-2008
Site Web

Re : Problème Kernel Debian Lenny 2.6.25-2-686

Salut,

Malheureusement les drivers libres nvidia ne permettent pas encore d'utiliser la 3D. As tu essayé avec le dernier noyau, 2.6.26 ? (sorti aujourd'hui).

Mighty

"Pour faire court, dites tout simplement non à la drogue et peut-être que vous ne finirez pas comme les gars de chez Hurd."

Linus Torvalds

Hors ligne

#3 14-07-2008 19:17:25

eeeul'claude
Membre
Inscription : 29-06-2008

Re : Problème Kernel Debian Lenny 2.6.25-2-686

mecanotox a écrit :

Avec la MAJ je peu booter (Sur l'écran de démmarrage Grub) le kernel 2.6.24-1-686 ou le 2.6.25-2-686.
Est-ce normale ou j'ai fais une couille ?


Salut!

C'est normal :-D
Lorsqu'on installe un nouveau noyau, Grub garde le précédent par précaution et fait une liste de démarrage.
En cas de pbm on peut ainsi revenir à la config qui marchait précédemment.

On peut paramétrer la longueur de la liste pour ne garder que les deux ou trois derniers noyaux
(par défaut il en garde sept), ce qui permet également d'expérimenter des config light ou sans réseau
à partir du même noyau ou toute autre fantaisie. Il y à aussi une option nommée fallback (activée par défaut):
tant qu'il échoue à démarrer un noyau, il recommence avec le suivant dan la liste, jusqu'a ce que ça marche.


deeebian-user

Hors ligne

#4 15-07-2008 00:57:01

mecanotox
Membre
Distrib. : Ubuntu 12.10 Quantal
Noyau : 3.5.0-21-generic
(G)UI : XFCE 4.10 + Thunar 1.6
Inscription : 04-06-2008

Re : Problème Kernel Debian Lenny 2.6.25-2-686

Ok. Donc si j'ai bien compris, pour les drivers libre nvidia il faut utiliser AIGLX en complément pour faire fonctionner Compiz-Fusion (D'ailleur sa serais bien de faire un Wiki car je n'ai pas encore réussi a le faire de moi même).

Hors ligne

#5 15-07-2008 17:38:48

mecanotox
Membre
Distrib. : Ubuntu 12.10 Quantal
Noyau : 3.5.0-21-generic
(G)UI : XFCE 4.10 + Thunar 1.6
Inscription : 04-06-2008

Re : Problème Kernel Debian Lenny 2.6.25-2-686

Bon mon PB n'est tjs pas résdolu. Quand je réinstalle les drivers, le module d'install des driver nvidia me dis que c inpossible pk j'utilise un noyau "Xen" ??

Hors ligne

#6 31-07-2008 21:09:54

cozo
Membre
Lieu : toulouse
Distrib. : lenny
Noyau : 2.6.25
(G)UI : Gnome
Inscription : 28-07-2008

Re : Problème Kernel Debian Lenny 2.6.25-2-686

meme probleme , tout marchait impec sous etch et sous lenny, lorsque je suis la procedure d'install pour nos cher driver nvidia, il ne trouve pas un paquet :

[c]]cozo:/home/jules# module-assistant a-i -t -f nvidia-kernel
.
Données de 1 paquets mises à jour
Récupération des sources du noyau de la version : 2.6.25-2-686
En-têtes du noyau disponibles dans /lib/modules/2.6.25-2-686/build
apt-get install build-essential
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
build-essential est déjà la plus récente version disponible.
0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.

Fait.
download
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Aucune version du paquet nvidia-kernel-source n'est disponible, mais il existe dans la base
de données. Cela signifie en général que le paquet est manquant, qu'il est devenu obsolète
ou qu'il n'est disponible que sur une autre source
E: Aucun paquet ne correspond au paquet nvidia-kernel-source
Échec de l'installation des sources de nvidia-kernel-source.

Paquet ignoré. Vous devez peut-être ajouter quelque chose à sources.list, comme
les archives « contrib » et « non-free ».

Mise à jour des données de nvidia-kernel-source

Données de 1 paquets mises à jour
[/c]


il va sans dire que le depots non-free et contrib sont activé dans mon source.list smile

Si quelqu'un a le même soucis !

Hors ligne

#7 01-08-2008 20:45:15

n3os
Modérateur
Lieu : /Debian/Home/neos
Distrib. : Sid
Noyau : 2.6.35
(G)UI : e17
Inscription : 14-07-2007

Re : Problème Kernel Debian Lenny 2.6.25-2-686

Salut,

le module d'install des driver nvidia me dis que c inpossible pk j'utilise un noyau "Xen" ??


c'est une option de paravirtualisation dans ton noyau qui pose souci, il faudrait compiler en désactivant la paravirtualisation, ou si tu ne compiles jamais, tu peux toujours tester l'image du 2.6.26 fournit par les dépots sid, ou tu gardes ton 2.6.24 fonctionnel, le besoin de mettre à jour le kernel n'est pas urgent.

Hors ligne

#8 01-08-2008 21:06:41

mani
Road-Runnerus digestus
Lieu : Au bout du bout
Distrib. : Jessie
Noyau : Linux 3.16.0-4-amd64
(G)UI : Mate
Inscription : 20-06-2007

Re : Problème Kernel Debian Lenny 2.6.25-2-686

Euh j'ai un noyau 2.6.25-2-686 sur une Lenny avec les drivers proprios nVidia, et y'a aucun problème pour les installer ! smile

Donc :

@cozo : Les drivers nvidia (nvidia-kernel-source et nvidia-glx) ne sont pas dans les dépôts Lenny, il faut que tu rajoutes les dépôts de Sid dans ton sources.list et que tu créés un fichier /etc/apt/preferences' pour gérer tout ça. Neos ici présent a fait de très bons tutos à ce sujet : Pinning sous Debian et Nvidia sous Debian. Méthodes testées et approuvées (merci neos au passage wink ).

Une petite copie de mon sources.list pour te faciliter la tâche :

## Dépôts Lenny
deb http://ftp.fr.debian.org/debian/ lenny main contrib non-free
deb-src http://ftp.fr.debian.org/debian/ lenny main contrib non-free

## Dépôts Security
deb http://security.debian.org/ lenny/updates main
deb-src http://security.debian.org/ lenny/updates main

## Dépôts Sid
deb http://ftp.fr.debian.org/debian/ sid main contrib non-free
deb-src http://ftp.fr.debian.org/debian/ sid main contrib non-free


et du fichier /etc/apt/preferences :

Package: *
Pin: release o=Debian,a=testing
Pin-priority: 990

Package: *
Pin: release o=Debian,a=unstable
Pin-priority: 90


@mecanotox : Es-tu sûr d'utiliser le noyau linux-image-2.6.25-2-686 et pas linux-image-2.6.25-2-xen-686 ?


« Those who dream by day are cognizant of many things which escape those who dream only by night. »
- Edgar Allan Poe

Hors ligne

#9 02-08-2008 09:18:18

cozo
Membre
Lieu : toulouse
Distrib. : lenny
Noyau : 2.6.25
(G)UI : Gnome
Inscription : 28-07-2008

Re : Problème Kernel Debian Lenny 2.6.25-2-686

un seul mot mani : merci big_smile

Hors ligne

#10 08-08-2008 11:20:18

mecanotox
Membre
Distrib. : Ubuntu 12.10 Quantal
Noyau : 3.5.0-21-generic
(G)UI : XFCE 4.10 + Thunar 1.6
Inscription : 04-06-2008

Re : Problème Kernel Debian Lenny 2.6.25-2-686

@mani: J'utilise bien le noyau linux-image-2.6.25-2-686. Depuis ce temps j'ai eu le temps de rechercher sur le net et le problème viendrais de Nvidia (Les drivers ne sont pas adapté pour les kernels au dessus du 24). Donc la seul solution est d'attendre pour le moment.

Hors ligne

#11 08-08-2008 12:44:30

mani
Road-Runnerus digestus
Lieu : Au bout du bout
Distrib. : Jessie
Noyau : Linux 3.16.0-4-amd64
(G)UI : Mate
Inscription : 20-06-2007

Re : Problème Kernel Debian Lenny 2.6.25-2-686

C'est bizarre quand même, parce que je les ai installés sans problème avec le même kernel, et normalement ta 8800GTS est supportée.

- As-tu bien suivi la méthode de Neos (liens dans mon post précédent), c-a-d l'installation depuis les dépôts Debian et pas depuis le .run du site de nVidia ?

- Et si oui peux-tu nous donner les messages d'erreurs détaillés qui sont renvoyés ?

@cozo : de rien, heureux de voir que ça a l'air de marcher ! wink

« Those who dream by day are cognizant of many things which escape those who dream only by night. »
- Edgar Allan Poe

Hors ligne

#12 08-08-2008 14:58:53

cozo
Membre
Lieu : toulouse
Distrib. : lenny
Noyau : 2.6.25
(G)UI : Gnome
Inscription : 28-07-2008

Re : Problème Kernel Debian Lenny 2.6.25-2-686

oui, dailleurs mecanotox je viens d'installer le driver nvidia avec le meme kernel que toi sans soucis.
Donc il doit y avoir un autre probleme.

Hors ligne

#13 08-08-2008 16:31:35

mecanotox
Membre
Distrib. : Ubuntu 12.10 Quantal
Noyau : 3.5.0-21-generic
(G)UI : XFCE 4.10 + Thunar 1.6
Inscription : 04-06-2008

Re : Problème Kernel Debian Lenny 2.6.25-2-686

Sa doit être alors le problème avec Xen. DOnc dans mon cas comment désactivér Xen ?

Hors ligne

#14 09-08-2008 10:10:29

mecanotox
Membre
Distrib. : Ubuntu 12.10 Quantal
Noyau : 3.5.0-21-generic
(G)UI : XFCE 4.10 + Thunar 1.6
Inscription : 04-06-2008

Re : Problème Kernel Debian Lenny 2.6.25-2-686

Bon j'ai suivi les instruction de Neos. Sa marche. Par contre je n'arrive pas a installer certains progs compiz fusion (Notament Emerald) a cause de la version. Est-ce du au pinning ?

Hors ligne

Pied de page des forums